Ogre::Win32EGLPBuffer Class Reference

`#include <OgreWin32EGLRenderTexture.h>`

Inheritance diagram for Ogre::Win32EGLPBuffer:
[legend]

List of all members.

## Public Member Functions

| Win32EGLPBuffer (Win32EGLSupport *glsupport, PixelComponentType format, size_t width, size_t height)
virtual | ~Win32EGLPBuffer ()
void | initEGLPBuffer ()
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Attributes

EGLSupport * | mGLSupport
::EGLDisplay | mGlDisplay
::EGLSurface | mEglDrawable
PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

Definition at line 43 of file include/EGL/WIN32/OgreWin32EGLRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::Win32EGLPBuffer::Win32EGLPBuffer | ( | Win32EGLSupport * | glsupport,
|  | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

virtual Ogre::Win32EGLPBuffer::~Win32EGLPBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

PixelComponentType Ogre::GLESPBuffer::getFormat | ( |  | ) | `[inherited]`

Definition at line 47 of file OgreGLESPBuffer.h.

size_t Ogre::GLESPBuffer::getHeight | ( | void |  | ) | `[inherited]`

Definition at line 49 of file OgreGLESPBuffer.h.

static PixelComponentType Ogre::GLESPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static, inherited]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLESPBuffer::getWidth | ( | void |  | ) | `[inherited]`

Definition at line 48 of file OgreGLESPBuffer.h.

void Ogre::EGLPBuffer::initEGLPBuffer | ( |  | ) | `[inherited]`

## Member Data Documentation

::EGLSurface Ogre::EGLPBuffer::mEglDrawable`[protected, inherited]`

Definition at line 48 of file include/EGL/OgreEGLRenderTexture.h.

PixelComponentType Ogre::GLESPBuffer::mFormat`[protected, inherited]`

Definition at line 55 of file OgreGLESPBuffer.h.

::EGLDisplay Ogre::EGLPBuffer::mGlDisplay`[protected, inherited]`

Definition at line 47 of file include/EGL/OgreEGLRenderTexture.h.

EGLSupport* Ogre::EGLPBuffer::mGLSupport`[protected, inherited]`

Definition at line 46 of file include/EGL/OgreEGLRenderTexture.h.

size_t Ogre::GLESPBuffer::mHeight`[protected, inherited]`

Definition at line 56 of file OgreGLESPBuffer.h.

size_t Ogre::GLESPBuffer::mWidth`[protected, inherited]`

Definition at line 56 of file OgreGLESPBuffer.h.

The documentation for this class was generated from the following file:

- include/EGL/WIN32/OgreWin32EGLRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:56